import java.io.BufferedReader;
import java.io.InputStreamReader;

public class Adventskalender {

	public enum Sweetie {
		LEBKUCHEN, PLAETZCHEN, PRALINE, SCHOKONIKOLAUS, GUMMIBAERCHEN, SPEKULATIUS
	}

	private Sweetie[] calendar = new Sweetie[24];
	private Sweetie[] sweeties = { Sweetie.LEBKUCHEN, Sweetie.PLAETZCHEN,
			Sweetie.PRALINE, Sweetie.SCHOKONIKOLAUS, Sweetie.GUMMIBAERCHEN,
			Sweetie.SPEKULATIUS };

	public Adventskalender() {
		for (int i = 0; i < calendar.length; i++) {
			calendar[i] = sweeties[(int) (Math.random() * 6)];
		}

	}

	public String openDoor(int day) {
		String result = "Heute ist noch nicht der " + day + ". Dezember.";
		System.out.println(java.util.Calendar.DAY_OF_MONTH);
		if (day <= java.util.Calendar.DAY_OF_MONTH) {
			result = calendar[day].toString();
			if (result.equals(Sweetie.SCHOKONIKOLAUS.toString())) {
				MyAudio.play("jingle-bells.wav");
			}
		}
		return result;
	}


	public static void main(String[] args) {
		Adventskalender a = new Adventskalender();
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		String again = "j";
		do {
			try {
				System.out.println("Welches Tuerchen soll geoefnet werden?");
				System.out.println(a.openDoor(Integer.parseInt(in.readLine())));
				System.out.println("Noch ein Tuerchen oefnen?");
				again = in.readLine();
			} catch (Exception e) {
				System.out.println("Ungueltige Eingabe");
			}

		} while (again.equals("j"));

	}

}
